"use client"; // Mark this as a client component

import Sidebar from "./components/Sidebar";
import Navbar from "./components/Navbar";
import { useAuth } from "./context/AuthContext"; // Import useAuth

export default function ClientLayout({ children }) {
  const { isAuthenticated } = useAuth(); // Get authentication state

  return (
    <>
      {isAuthenticated ? (
        <div className="flex h-screen overflow-y-auto scrollbar-hide">
          <Sidebar />

          <div className="flex-1 flex flex-col">
            <Navbar />

            {/* Main Content - Scrollable */}
            <main className="flex-1 overflow-y-auto p-4 bg-gray-100 scrollbar-hide">
              {children}
            </main>
          </div>
        </div>
      ) : (
        <main>{children}</main> // Only render children if not authenticated
      )}
    </>
  );
}
