// src/app/layout.js
import "./globals.css";
import { ThemeProvider } from "./context/ThemeContext";
import { AuthProvider } from "./context/AuthContext";
import ClientLayout from "./ClientLayout"; 
export const metadata = {
  title: "Report Management System",
  description: "Generated by create next app",
};

export default function RootLayout({ children }) {
  return (
    // Added scrollbar-hide class to glbal layout
    <html lang="en" className=" overflow-y-auto scrollbar-hide"> 
      <head>
        <link rel="icon" href="/images/logo/logo-icon.svg" type="image/svg+xml" />
      </head>
      <body>
        <ThemeProvider>
          <AuthProvider>
            <ClientLayout>{children}</ClientLayout>
          </AuthProvider>
        </ThemeProvider>
      </body>
    </html>
  );
}