"use client";
import { Bar } from "react-chartjs-2";
import { Chart as ChartJS, CategoryScale, LinearScale, BarElement, Title, Tooltip, Legend } from "chart.js";

ChartJS.register(CategoryScale, LinearScale, BarElement, Title, Tooltip, Legend);

export default function CustomReport() {
  // Sample data for charts
  const data = {
    labels: ["Jan", "Feb", "Mar"],
    datasets: [
      {
        label: "Users",
        data: [30, 50, 80],
        backgroundColor: "rgba(54, 162, 235, 0.5)",
      },
    ],
  };

  const options = {
    responsive: true,
    plugins: {
      legend: { display: true },
    },
  };

  return (
    <div className="flex flex-col items-center justify-center min-h-screen bg-gray-100 p-8">
      <h1 className="text-2xl font-bold mb-6">Reports for Jan 25 - Mar 25</h1>

      {/* Graphs Section */}
      <div className="grid grid-cols-1 md:grid-cols-2 gap-6 w-full max-w-5xl">
        <div className="bg-white p-6 rounded-lg shadow-md">
          <h2 className="text-lg font-semibold mb-4">Graph 1</h2>
          <Bar data={data} options={options} />
        </div>

        <div className="bg-white p-6 rounded-lg shadow-md">
          <h2 className="text-lg font-semibold mb-4">Graph 2</h2>
          <Bar data={data} options={options} />
        </div>
      </div>

      {/* Generate Report Button */}
      <button className="mt-8 bg-blue-600 text-white px-6 py-2 rounded-lg hover:bg-blue-700">
        Generate Report
      </button>
    </div>
  );
}
